# !/bin/sh
CUR_DIR=$(pwd)
RUN_DIR=$(cd "$(dirname "$0")"; pwd)

echo run_dir=$RUN_DIR
echo "This is a sample RunBefore script, Now begin update...\n"

mkdir /opt/webroot/onvif
rm -r /opt/webroot/onvif/*
cp -r $RUN_DIR/onvif/* /opt/webroot/onvif
cp -r $RUN_DIR/libsoap.so /lib
cp -r $RUN_DIR/thttpd.conf /etc/thttpd/
#chmod -R 644 /opt/webroot/onvif
chmod +x /opt/webroot/onvif/*
chmod +x /lib/libsoap.so

cp $RUN_DIR/b252aWY.102 /etc/configs/

if [ -e ${RUN_DIR}/bin/updater ]
then
    echo replace ${CUR_DIR}/bin/updater with $RUN_DIR/bin/updater ...
    mv $CUR_DIR/bin/updater $CUR_DIR/bin/updater.old
    cp $RUN_DIR/bin/updater $CUR_DIR/bin/updater
    rm -f $CUR_DIR/bin/updater.old
else
    echo ${RUN_DIR}/bin/updater NOT found!
fi


